package com.nanyan.securitylink.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Configuration;


@Slf4j
@RefreshScope
@Configuration
public class AppConfig {
    @Value("${alert.host}")
    String alertHost;
    @Value("${gateway.request.timeout:180000}")
    private Integer requestTimeout;

    @Value("${gateway.window.time:600000}")
    private Integer windowsTime;

    public Integer getWindowsTime() {
        return windowsTime;
    }

    public Integer getRequestTimeout() {
        return requestTimeout;
    }

    public String getAlertHost() {
        return alertHost;
    }
}
