package com.nanyan.securitylink.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import lombok.Data;
import java.util.*;

@Data
@Configuration
@ConfigurationProperties(prefix = "gateway.failover")
public class FailoverProperties {
    private List<TokenUriMapping> tokenMappings;

    @Data
    public static class TokenUriMapping {
        private List<String> tokens;
        private List<UriConfig> uriConfigs;
    }

    @Data
    public static class UriConfig {
        private String sourceUri;
        private String targetUri;
        private String primaryHost;
        private String primaryUrl;
        private String fallbackHost;
        private String fallbackUrl;
        private String model;
        private String modelKey;
    }
}