package com.nanyan.securitylink.config;

import org.springframework.cloud.gateway.route.RouteLocator;
import org.springframework.cloud.gateway.route.builder.RouteLocatorBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import lombok.RequiredArgsConstructor;
import com.nanyan.securitylink.filter.FailoverGatewayFilterFactory;

@Configuration
@RequiredArgsConstructor
public class GatewayConfig {

    private final FailoverGatewayFilterFactory failoverFilter;

    @Bean
    public RouteLocator customRouteLocator(RouteLocatorBuilder builder) {
        return builder.routes()
                .route("token_based_route", r -> r
                        .path("/**")
                        .filters(f -> f
                                .filter(failoverFilter.apply(new FailoverGatewayFilterFactory.Config())))
                        .uri("no://op"))
                .build();
    }
}