package com.nanyan.securitylink.schedule;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

@Slf4j
@Component
public class RefreshConfigSync {
    @Autowired
    RestTemplate restTemplate;
    public void autoRefreshConfig(){
        try{
            String url = "http://127.0.0.1:8080/actuator/refresh";
            HttpEntity header = getHeader();
            ResponseEntity<String> response = restTemplate.exchange(url, HttpMethod.POST, header, String.class);
            if(response.getStatusCode().is2xxSuccessful()){
                log.info("配置刷新成功:{}", response.getBody());
            }
        }catch (Exception e){
            log.error("", e);
        }

    }

    private HttpEntity getHeader(){
        HttpHeaders httpHeaders = new HttpHeaders();
        httpHeaders.set("Content-Type","application/json");
        return new HttpEntity<>(httpHeaders);
    }



}
